GNU bug report logs - #45032
26.3; json-pretty-print of JSON with dict containing 't' as a key causes error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Henry Minsky <henry.minsky@HIDDEN>; merged with #42545; dated Thu, 3 Dec 2020 21:40:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45032 <at> debbugs.gnu.org:


Received: (at 45032) by debbugs.gnu.org; 7 Dec 2020 13:40:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 08:40:02 2020
Received: from localhost ([127.0.0.1]:52894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmGkE-0000gr-6f
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2020 08:40:02 -0500
Received: from quimby.gnus.org ([95.216.78.240]:36956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kmGk9-0000gE-Qm
 for 45032 <at> debbugs.gnu.org; Mon, 07 Dec 2020 08:40:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=p/mCmhXl4yHZ/dOE+b2Ts6DViL8rrlSzQ1C48LLjtRI=; b=pyhi9SK/kXTq6IyVRF6TfoGNVn
 SIj1wj9VibCoULsr29OvwQM6fs1n7JLbOi5HJ+CsKToy5VP74y9YhDS+46P7CNknEVYiX3A8/F0/e
 Yq3xHVXWwbRxoZAgDt7fcU2OyZzCVqFgB/N9HgeEnU/iQjfFzaTh9kUu8ZzGTdrxEUA8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kmGjz-0005vk-BO; Mon, 07 Dec 2020 14:39:50 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing
 't' as a key causes error
References: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
 <877dpxnah5.fsf@HIDDEN> <87a6us1b37.fsf@HIDDEN>
 <CAArVCkQFTR7yxT83cm23noF5SLk_Oz41D6+w3d8fJALyyexyOg@HIDDEN>
 <87tuszcaxn.fsf@HIDDEN>
 <CAArVCkRZSHwTXHV3+H4_LMqTw120yf02KkAsrqshWrnXphpJYA@HIDDEN>
 <87v9desw2c.fsf@HIDDEN>
 <CAArVCkTW2MDCZxuB8-OT2BCqxxGqeZGB+OHgDyqW4NbYeNOn+Q@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEWMbVafjHCpsZ9U
 QTq/wa3f1rnIxrD///8EdFpvAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+QMBw0MKxH3A5MAAAG7SURB
 VDjLlZLLUuswDIblaug6bhjWSQhZuxUP0AnGexZk3WZcv/8jIMlOywl05qCZxLY+6Zd8AQBr7a5b
 WVvDpvvVWtj9EXT/AXzXj70ffwBf7ArK2PsVgZXb+368A0oO/FPg/XO6TGkeF6AJ8gtJzEtvAkbx
 HfeaE7JAAeJ5JvYGH8YsoEBDK/DJpxRT1OUIfa4wojNdClphATo5k0PaKIkFaEJoGmLbxDXw3UkA
 DamIXQFriR0EBFlfwazAPZYtFiBBCggURAESLgvMYJsyUhCky2enWnQDIR/d22utOQ8FDFkopXmb
 EEyTG1MQ02L1lFK7n1YZbA1/l27JKCUWsBiD2+IYvoNvUaeXe2C4B36RmmU8px9gto8KphAv8XO6
 gbPdTQKqAzqwXbiCFiBc0umDtkgI9YuCmUFFZCzxKRoG5KpBNli7J3kJAOT4Iz39w8SAaJ+vlVkF
 +SJdC0NEzJfHAVgb0eNEgEEm7FTo0MjDY00mJVyGmouAETkGLkS5UiNtsSg6N1sERNjvGo5AgPYp
 tij6HFABgjtKi+DIGGvRSarshKVQ2pWCLM4Fq9Kh1HaOMHdVGpE9fgHaLgewPOinBQAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMC0xMi0wN1QxMzoxMjo0MyswMDowMLCqNRIAAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjAtMTItMDdUMTM6MTI6NDMrMDA6MDDB942uAAAAAElFTkSuQmCC
X-Now-Playing: Nihiloxica's _Kaloli_: "Mukagafeero"
Date: Mon, 07 Dec 2020 14:39:45 +0100
In-Reply-To: <CAArVCkTW2MDCZxuB8-OT2BCqxxGqeZGB+OHgDyqW4NbYeNOn+Q@HIDDEN>
 (Philipp Stephani's message of "Sun, 6 Dec 2020 18:16:59 +0100")
Message-ID: <87ft4hka5a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Philipp Stephani <p.stephani2@HIDDEN> writes: >> Sorry,
 I was unclear -- I'm not saying the old and the new functions >> should be
 compatible, only that there should be functions that can round >> trip via
 JSON->Elisp->JSON and get identical resu [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45032
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 Henry Minsky <henry.minsky@HIDDEN>, 45032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philipp Stephani <p.stephani2@HIDDEN> writes:

>> Sorry, I was unclear -- I'm not saying the old and the new functions
>> should be compatible, only that there should be functions that can round
>> trip via JSON->Elisp->JSON and get identical results back.
>>
>> Is that the case today?
>
> You mean something like (json-serialize (json-parse-string ...))? I'd
> hope that's indeed the case to the furthest extent possible. There are
> cases where roundtripping is impossible (parsing ignores whitespace,
> field order, and duplicate keys), but otherwise I'd hope these
> functions are inverses of each other. Or is there a case where they
> aren't?

No, the confusion is on my part -- I somehow assumed that
json-pretty-print had been converted to use the new C functions, but
it's using the old, non-consistent json.el functions instead.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45032; Package emacs. Full text available.

Message received at 45032 <at> debbugs.gnu.org:


Received: (at 45032) by debbugs.gnu.org; 6 Dec 2020 19:26:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 06 14:26:50 2020
Received: from localhost ([127.0.0.1]:51359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1klzgI-0000Ng-GJ
	for submit <at> debbugs.gnu.org; Sun, 06 Dec 2020 14:26:50 -0500
Received: from mail-ej1-f49.google.com ([209.85.218.49]:34090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1klzgG-0000NS-H1
 for 45032 <at> debbugs.gnu.org; Sun, 06 Dec 2020 14:26:48 -0500
Received: by mail-ej1-f49.google.com with SMTP id g20so16423436ejb.1
 for <45032 <at> debbugs.gnu.org>; Sun, 06 Dec 2020 11:26:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=6SAoKxnwaaX7Q0ctVviN+F5PBoTeEK8LQjyx+B/kho4=;
 b=BCgoVttXEgKziHRhc8tvBX5gvaR9j0LLarjh3/UNQut4nFcc03vO23oEu7DolGwKh+
 1IhQzaozrtaQ3uucgDwK9kruJi3f6kQTH4HoyvJxYTzd6tvbattx6auI7Jtrc+0v+sEg
 wNswi/avCyD03jE9h4BuP2ekurq5yCtCD7rPqenkK0OdApAuU9zu/T2Akt5z44JltK1F
 5ZcQX6HNBNghECXscneIAgtvb9iM9TqmUDG9dbdc7Hkh2MiLLlUMC8RySz0JqGq8SA4B
 MfxpDrZC1vPaUwLu151uI2id7TGCj6+7fLe+TUulQFBeOOq9uWW7US0AuLSr9B71wOlK
 04uw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=6SAoKxnwaaX7Q0ctVviN+F5PBoTeEK8LQjyx+B/kho4=;
 b=nrf6AR4WYGJnAz7QMzGCHdveDkWjlVUBub96qxo180GNYb5b1ZPjvdtN993SkMdXqx
 H4oQSSg50zN0OtqHzeQys9Ryke/r3+YGerH/Nh6wvzjl8+tPyaMqR3EyV5cib+d0mUJ3
 vd0N2x23ABb9eBYRrk+9oMg22bB7wvfwGsLKOLXurWkwpoNicYHNJzOsYZD3Fp6g+c8n
 rTrdgTYlgbdzs1mKcR0MxTPlMlj/qvLEziibkPZQ4lQgP5NBGd5JR7Eq4/O8BTu/Ew7S
 LZzSRpSaHnXJ6fvKP7RbXQqrchw9gZ4bigXe4wQ9HboMRvcGomKoeYcucb51SBV9LRlE
 DnBA==
X-Gm-Message-State: AOAM5333/kG0yWq8GpdE+EcuQIl2/miNWwN549Lcy6sAJfwH6ecl0Ttb
 WDHIDGSzvpiJ1gIftwa4ZVqStGqidXowPg==
X-Google-Smtp-Source: ABdhPJw7fL+C2xTVH8na1FM8v/7HUe5CxMoM2UmdE21FQ6GfTyvgc6Fwv9OxH/yxNIWC3YaFLJKQuA==
X-Received: by 2002:a17:906:4058:: with SMTP id
 y24mr15615676ejj.245.1607282802588; 
 Sun, 06 Dec 2020 11:26:42 -0800 (PST)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id a20sm9720615edr.70.2020.12.06.11.26.40
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 06 Dec 2020 11:26:41 -0800 (PST)
Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing
 't' as a key causes error
To: Philipp Stephani <p.stephani2@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
References: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
 <877dpxnah5.fsf@HIDDEN> <87a6us1b37.fsf@HIDDEN>
 <CAArVCkQFTR7yxT83cm23noF5SLk_Oz41D6+w3d8fJALyyexyOg@HIDDEN>
 <87tuszcaxn.fsf@HIDDEN>
 <CAArVCkRZSHwTXHV3+H4_LMqTw120yf02KkAsrqshWrnXphpJYA@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <3329c943-0a5f-811e-bc50-7fe425b05ea7@HIDDEN>
Date: Sun, 6 Dec 2020 21:26:39 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <CAArVCkRZSHwTXHV3+H4_LMqTw120yf02KkAsrqshWrnXphpJYA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 45032
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 Henry Minsky <henry.minsky@HIDDEN>, 45032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 06.12.2020 19:02, Philipp Stephani wrote:
> I designed the C JSON
> functions partially because I disagree with some aspects of API design
> and behavior of the Elisp functions, so they are pretty much
> incompatible on purpose

So this difference in keywords serialization was by design?

ELISP> (json-serialize '(:a 1 :b 2))
"{\"a\":1,\"b\":2}"
ELISP> (json-serialize '((:a . 1) (:b . 2)))
"{\":a\":1,\":b\":2}"




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45032; Package emacs. Full text available.

Message received at 45032 <at> debbugs.gnu.org:


Received: (at 45032) by debbugs.gnu.org; 6 Dec 2020 17:17:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 06 12:17:17 2020
Received: from localhost ([127.0.0.1]:51119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1klxev-0007bo-Ic
	for submit <at> debbugs.gnu.org; Sun, 06 Dec 2020 12:17:17 -0500
Received: from mail-oi1-f178.google.com ([209.85.167.178]:34553)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1klxeu-0007bb-7M
 for 45032 <at> debbugs.gnu.org; Sun, 06 Dec 2020 12:17:16 -0500
Received: by mail-oi1-f178.google.com with SMTP id s75so9655640oih.1
 for <45032 <at> debbugs.gnu.org>; Sun, 06 Dec 2020 09:17:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=fU7L5glICePJn94MTWW07We9eTtCyC0cID1cgshgjl0=;
 b=WcVdbVPD0618IHMtxKxSyNmaE5IHkME7wQEatTk5mYGWBn33vpIIEDecHnicQ6A3zd
 +1BxyDz102kUoaY6MfogyRnbMNp8yoopPKrUZdUoYLpB3e2R7pcG/cr3l5NBEgNeaXYW
 64wEzRcsJJ0Emqhl/JzpJar4h1zgrFjQACU8xPgqijB4m672c7gjd6AK7gA2YK1dAF53
 /Ig8JKESOwZuKLA4oQse/UnkWkq8I4LGPQphBZsDBNoEPnxJyJ+TxUC6iwcHC/zzlpWr
 i/AB4c3RM8zeegKK9GRwQLyE9kjRl0eBX/NRQr8NdpcCSO/HKEWvLVNJputMuDsGK7+D
 rjEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=fU7L5glICePJn94MTWW07We9eTtCyC0cID1cgshgjl0=;
 b=BZS5nnqD8LAJJSOEw2jzhSWshDi9RJ2WwbDq+73dtkVFrCgBktkCVQWmNzWYnQXpSa
 8Conzj18AgZoBqQbkkgSxiKCmWcohtFrgAUbOvJ4uvUh92qXeYy1idQaDCWR+SOZ8lCo
 c+EXT7q68zf5tdSasfM124Nk5fs2TKOtWM7XSyUH4RB6qzBfrOrjCjGI/pf9azyqXzFV
 F0XJ27QTXpBk5yNgfofjLJUs5SD+mmc6spY26NGkjN+rIqDrtPkrW/TY2buDLWJYZKv/
 XRk+DUfB2Lf71ztfNfJbxMrXAR2BY5p9xRN0+N/+n/Ct/AhgK5nzPXMO8sIb1ajoj27k
 7/oA==
X-Gm-Message-State: AOAM5306Vr1RS3n0SWvdA5bKu01Jh1OsWR2QsbuC6k2c6wWkOtZO0tii
 iy3QLRRYOEF/eaWkxehwFS8CgsCNI2STG3PLMuv1StCe
X-Google-Smtp-Source: ABdhPJxK31b5ZnDBX3UPCoVV4KniTUxvnDnh45dXAFCXCOTbz5oB9MhjujJS2A4T8um+jGFVuQqPkmZEc+qkw8eX+38=
X-Received: by 2002:aca:d4cf:: with SMTP id l198mr9611867oig.170.1607275030660; 
 Sun, 06 Dec 2020 09:17:10 -0800 (PST)
MIME-Version: 1.0
References: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
 <877dpxnah5.fsf@HIDDEN> <87a6us1b37.fsf@HIDDEN>
 <CAArVCkQFTR7yxT83cm23noF5SLk_Oz41D6+w3d8fJALyyexyOg@HIDDEN>
 <87tuszcaxn.fsf@HIDDEN>
 <CAArVCkRZSHwTXHV3+H4_LMqTw120yf02KkAsrqshWrnXphpJYA@HIDDEN>
 <87v9desw2c.fsf@HIDDEN>
In-Reply-To: <87v9desw2c.fsf@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sun, 6 Dec 2020 18:16:59 +0100
Message-ID: <CAArVCkTW2MDCZxuB8-OT2BCqxxGqeZGB+OHgDyqW4NbYeNOn+Q@HIDDEN>
Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing
 't' as a key causes error
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 45032
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 Henry Minsky <henry.minsky@HIDDEN>, 45032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Am So., 6. Dez. 2020 um 18:06 Uhr schrieb Lars Ingebrigtsen <larsi@HIDDEN>:
>
> Philipp Stephani <p.stephani2@HIDDEN> writes:
>
> >> >> I think it's important that native and Elisp JSON serialisation are as
> >> >> consistent as possible here;
> >> >
> >> > I don't think that's realistic: any change in behavior to either of
> >> > these functions would be a breaking change.
> >>
> >> I think we should have JSON/Elisp round trips that are 100%
> >> reproducible.  The current functions certainly aren't.
> >
> > I don't understand why that is so important. I designed the C JSON
> > functions partially because I disagree with some aspects of API design
> > and behavior of the Elisp functions, so they are pretty much
> > incompatible on purpose. Trying to make them compatible would make the
> > C functions worse.
>
> Sorry, I was unclear -- I'm not saying the old and the new functions
> should be compatible, only that there should be functions that can round
> trip via JSON->Elisp->JSON and get identical results back.
>
> Is that the case today?

You mean something like (json-serialize (json-parse-string ...))? I'd
hope that's indeed the case to the furthest extent possible. There are
cases where roundtripping is impossible (parsing ignores whitespace,
field order, and duplicate keys), but otherwise I'd hope these
functions are inverses of each other. Or is there a case where they
aren't?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45032; Package emacs. Full text available.

Message received at 45032 <at> debbugs.gnu.org:


Received: (at 45032) by debbugs.gnu.org; 6 Dec 2020 17:07:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 06 12:07:05 2020
Received: from localhost ([127.0.0.1]:51105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1klxV3-0007Lw-2t
	for submit <at> debbugs.gnu.org; Sun, 06 Dec 2020 12:07:05 -0500
Received: from quimby.gnus.org ([95.216.78.240]:55390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1klxV0-0007LP-Jd
 for 45032 <at> debbugs.gnu.org; Sun, 06 Dec 2020 12:07:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8rXKBu3HaGiqXy1VKJXyZDdHkod/DluekRc/RGyw0KY=; b=aqK5P9SYj+YDR+NWN3MjKR3heM
 AO5wdQRVajTMWQ08J6c1drurB0UFbUSKTIrYfbYV1Nuc6UuPvaZVBySCCb/bot8uvcvuvod/qwkPC
 vOeXgrays7XQbEuYmaTL2luqz8+kY2+s0rSEZ+hU9oOpRIIoy8tHWTFpRuQ0sHJt0kS0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1klxUr-0006Eq-78; Sun, 06 Dec 2020 18:06:55 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing
 't' as a key causes error
References: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
 <877dpxnah5.fsf@HIDDEN> <87a6us1b37.fsf@HIDDEN>
 <CAArVCkQFTR7yxT83cm23noF5SLk_Oz41D6+w3d8fJALyyexyOg@HIDDEN>
 <87tuszcaxn.fsf@HIDDEN>
 <CAArVCkRZSHwTXHV3+H4_LMqTw120yf02KkAsrqshWrnXphpJYA@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEVgWln6+PrXz9i1
 rreNc24sHh4RDQ9MOCr///9eEK4gAAAAAWJLR0QIht6VegAAAAd0SU1FB+QMBhEEOh4elBgAAAGK
 SURBVDjLtdLBbtswDAZgNhaqc4w9QEYX2DWLvO4qLB52DTaQvgYopFwNdDZffxZtJW47Y+hhulmf
 f4q0DHfbtwsRHbwLSsRqDfB9kA6Bzf8FXIFyDXAFyjXAf8OHEwAUeb/Cg37dzba85xjjOZ9g7TNW
 bgREXsLuZCCDJsLHKbA/mQ7dAuLnGTpjDwkKxMf4Ao7iZvgSEtzNILZVeEb8pPBzgq8iV9gpPE1T
 7HuRYoaHmPutjqmU5ETF0+noGn/Yd1aOGYa0z6Yxjf9Wd2BzKbwf5yM+Y93IpgawOYGPRBT5qaz9
 7+LB/4ArfE+lhvO2LkxRObjBPkF/QV8YXzVQO5fuA7flTiGYcTbvPEyrMw1YhQgUI1x6aVP7kFrV
 ySWk59NFRIZIfINWpzwL9+FlQiEEyxIGzjDOQRO0MHYxxDcQf3luRwg0l8pAbXf0gcY3FXRdFJiL
 IeUJeiL9fRJwqil0BZoSHHWn619B6j7tyAI4gzbxOqEXP95X4L9BpLngEuIMt654CTTDH+0V/ZOT
 yNz6AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIwLTEyLTA2VDE3OjA0OjU4KzAwOjAw3EY19gAAACV0
 RVh0ZGF0ZTptb2RpZnkAMjAyMC0xMi0wNlQxNzowNDo1OCswMDowMK0bjUoAAAAASUVORK5CYII=
X-Now-Playing: Adult.'s _Perception is-as-of Deception_: "Total Total Damage"
Date: Sun, 06 Dec 2020 18:06:51 +0100
In-Reply-To: <CAArVCkRZSHwTXHV3+H4_LMqTw120yf02KkAsrqshWrnXphpJYA@HIDDEN>
 (Philipp Stephani's message of "Sun, 6 Dec 2020 18:02:35 +0100")
Message-ID: <87v9desw2c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Philipp Stephani <p.stephani2@HIDDEN> writes: >> >> I
 think
 it's important that native and Elisp JSON serialisation are as >> >>
 consistent
 as possible here; >> > >> > I don't think that's realistic: any change in
 behavior to either of >> > these [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45032
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 Henry Minsky <henry.minsky@HIDDEN>, 45032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philipp Stephani <p.stephani2@HIDDEN> writes:

>> >> I think it's important that native and Elisp JSON serialisation are as
>> >> consistent as possible here;
>> >
>> > I don't think that's realistic: any change in behavior to either of
>> > these functions would be a breaking change.
>>
>> I think we should have JSON/Elisp round trips that are 100%
>> reproducible.  The current functions certainly aren't.
>
> I don't understand why that is so important. I designed the C JSON
> functions partially because I disagree with some aspects of API design
> and behavior of the Elisp functions, so they are pretty much
> incompatible on purpose. Trying to make them compatible would make the
> C functions worse.

Sorry, I was unclear -- I'm not saying the old and the new functions
should be compatible, only that there should be functions that can round
trip via JSON->Elisp->JSON and get identical results back.

Is that the case today?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45032; Package emacs. Full text available.

Message received at 45032 <at> debbugs.gnu.org:


Received: (at 45032) by debbugs.gnu.org; 6 Dec 2020 17:02:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 06 12:02:54 2020
Received: from localhost ([127.0.0.1]:51090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1klxR0-0007F6-3c
	for submit <at> debbugs.gnu.org; Sun, 06 Dec 2020 12:02:54 -0500
Received: from mail-ot1-f47.google.com ([209.85.210.47]:37791)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1klxQx-0007Eq-SP
 for 45032 <at> debbugs.gnu.org; Sun, 06 Dec 2020 12:02:52 -0500
Received: by mail-ot1-f47.google.com with SMTP id o11so7653962ote.4
 for <45032 <at> debbugs.gnu.org>; Sun, 06 Dec 2020 09:02:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=w8FK3LBgC7wkC5hmIgYsLN6l5upDx+wjU2EPJ2ysmrk=;
 b=rrUS00aoxKmTPUqNdX2ggepJOiHtIDXT7qsrnmu5G+5qsGP9vw1hEnXce4R2y0K+A1
 NCsx6GZUKWeKXNkrhcUUlP43HL+2V6n89DtEtXgCeI/SB3ucm3Dirmo58ZZIjvA/WoHM
 41QlLkM1zLTKpDaNubUZES6m2UZtxneJac6rqhMGNbAQnjRKauVVEq4FPaBNmvq2fpYR
 kIHZNTeqMMJq1nt77mrzXOZvjvYQlJ4tttJNBLw1y97916K2jDEwxMWNvbb7+oSDLfu2
 REtYVNOP+WDAd/u7kGa7YpTS20USr/P0DnKMgSS63s6kBgAiwmgmSCZubSdXOvuPO2EB
 +q2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=w8FK3LBgC7wkC5hmIgYsLN6l5upDx+wjU2EPJ2ysmrk=;
 b=AlTLZSrsTv226cSNzoWlvkNS3peR1WvzukPlCG6fvfdpROF62Uk8VR/1EifUkRhZQ9
 SNrgCa+64ReMtDK69cwtY82ryAUeClEBHRZWj4q/DhW31awh/mUgzBzKdWnAeuPxcA7c
 ObIROD35HCn8xund0s36jOVNbjlajWI0/isVE6TBvwcRosuY0qpBq4gSw8fpK2cMR5Ea
 6sJsimRa9IzrLEN04Ucil5dDWaTsvZH/EQ06tHu26mN3c56scR0cnG0bfdy/b0GMMWED
 MMM1s/hCfAi75AV+dTUk5c95Q9ZoCEarRF4sH3tz5Gt0hGRSv/Pu9QZ7HeC49YGVeUQc
 R3Yw==
X-Gm-Message-State: AOAM532CPfVyU4D6g2voH+v00+4OAH5FjX8xGMiuV7SPHG9DJYxVRva2
 mk05DFHhRZkaha2ldN6iv1FrfTzR6PEcJLtMTe8=
X-Google-Smtp-Source: ABdhPJxv/0bGAmwS2/WKRL/T6/wQ8AfKaIyeBjhiY0+HGjE3jILOMesIlCc4ooEuJCFi33KVsD/hCmocddQHQkekLBQ=
X-Received: by 2002:a05:6830:150a:: with SMTP id
 k10mr9936522otp.36.1607274165984; 
 Sun, 06 Dec 2020 09:02:45 -0800 (PST)
MIME-Version: 1.0
References: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
 <877dpxnah5.fsf@HIDDEN> <87a6us1b37.fsf@HIDDEN>
 <CAArVCkQFTR7yxT83cm23noF5SLk_Oz41D6+w3d8fJALyyexyOg@HIDDEN>
 <87tuszcaxn.fsf@HIDDEN>
In-Reply-To: <87tuszcaxn.fsf@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sun, 6 Dec 2020 18:02:35 +0100
Message-ID: <CAArVCkRZSHwTXHV3+H4_LMqTw120yf02KkAsrqshWrnXphpJYA@HIDDEN>
Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing
 't' as a key causes error
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 45032
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 Henry Minsky <henry.minsky@HIDDEN>, 45032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Am So., 6. Dez. 2020 um 14:37 Uhr schrieb Lars Ingebrigtsen <larsi@HIDDEN>:
>
> Philipp Stephani <p.stephani2@HIDDEN> writes:
>
> >> I think it's important that native and Elisp JSON serialisation are as
> >> consistent as possible here;
> >
> > I don't think that's realistic: any change in behavior to either of
> > these functions would be a breaking change.
>
> I think we should have JSON/Elisp round trips that are 100%
> reproducible.  The current functions certainly aren't.

I don't understand why that is so important. I designed the C JSON
functions partially because I disagree with some aspects of API design
and behavior of the Elisp functions, so they are pretty much
incompatible on purpose. Trying to make them compatible would make the
C functions worse.
The one thing that I could imagine would be feasible would be:
(1) Document the precise behavior of the C JSON functions, including
all edge cases.
(2) Provide polyfills in Elisp that replicate that exact behavior.
(3) Deprecate the other Elisp functions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45032; Package emacs. Full text available.

Message received at 45032 <at> debbugs.gnu.org:


Received: (at 45032) by debbugs.gnu.org; 6 Dec 2020 13:37:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 06 08:37:55 2020
Received: from localhost ([127.0.0.1]:49183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kluEc-0001Sy-Vv
	for submit <at> debbugs.gnu.org; Sun, 06 Dec 2020 08:37:55 -0500
Received: from quimby.gnus.org ([95.216.78.240]:52804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kluEb-0001Sj-KW
 for 45032 <at> debbugs.gnu.org; Sun, 06 Dec 2020 08:37:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iuN3nFe3eBYDzowTC4nFdEODdz+lk6LrpFZQXrYEnn4=; b=HlVv4YqHjHmjLiglEMtE0BUtQ6
 FRTlC/rgkXCWQjO4XFVEdi6rAXRWnHCmPTIyhnkCk85DjnJTy2UbOk08y3wdclF73Au2k7cZvJDxU
 XdvYc7aM3U/gtESIk7pKINBKp+NwAGD3CeSqX2qHrsstF9EvaE2FgeptjdNe2snNh0zw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kluES-0004d9-Ha; Sun, 06 Dec 2020 14:37:46 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing
 't' as a key causes error
References: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
 <877dpxnah5.fsf@HIDDEN> <87a6us1b37.fsf@HIDDEN>
 <CAArVCkQFTR7yxT83cm23noF5SLk_Oz41D6+w3d8fJALyyexyOg@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEUOCQktDAtcEA/h
 HBTXRzjai3brvK7///9zpNO7AAAAAWJLR0QHFmGI6wAAAAd0SU1FB+QMBg0JMF5ZWV8AAAGvSURB
 VDjLjZNhktMwDIXdlgN0CQcIDQfYRsp/qOQegLV8AUjufwSelGyYZFsGTaZ29VnSs2ynlNKhIyYi
 xceUBdP+8AJ/OjJpGLGI3hyksI6EJdfCQgUzfgcHClMTFVbSDn/ODk75zT2cC5tqsW+gbWQys5Jt
 sJxtvE/ZrMp3zzQEyIOPVif/lR+eiUMQJCGP1umtRw0HHStSlFivANIvejnnglx8LwYBdaQrAIdY
 ZMCumSBXAVrXu+zicnn5jKFoycWBytn3TSEbI3atQm3DAY5LLR/Fu3nGzMEaMncGnfXYc/ob0s0A
 JcQiIpa2K3AVPAMPQT+XVMHXAyG6fZGFoDVzQITwWFa3apsWa2iwCODi4JZWu3z66e5cp60fBjE8
 wcpaIL3XwXKY6uvGH2Xgl47aLegi1YhK1y2Af5jqb9ytfuPHseD0pl84sn5Xm2qFWBuFdgAV7iPj
 MmyrnwCq2jDtQYNuGJf8IQJPRI0UAoRed2Ao3q2PIF4V7phsd7icK8gzsO/Jv8HXZ+DaPQCCJ903
 DwFu0/EBwPN4CNArgMMjEBez+39wnEHzDJxW8AeobKeu9nzLPgAAACV0RVh0ZGF0ZTpjcmVhdGUA
 MjAyMC0xMi0wNlQxMzowOTo0NyswMDowMNPjpKcAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjAtMTIt
 MDZUMTM6MDk6NDcrMDA6MDCivhwbAAAAAElFTkSuQmCC
X-Now-Playing: Joan as Police Woman's _Cover Two_: "Life's What You Make It"
Date: Sun, 06 Dec 2020 14:37:40 +0100
In-Reply-To: <CAArVCkQFTR7yxT83cm23noF5SLk_Oz41D6+w3d8fJALyyexyOg@HIDDEN>
 (Philipp Stephani's message of "Sat, 5 Dec 2020 20:35:42 +0100")
Message-ID: <87tuszcaxn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Philipp Stephani <p.stephani2@HIDDEN> writes: >> I think
 it's important that native and Elisp JSON serialisation are as >> consistent
 as possible here; > > I don't think that's realistic: any change in behavior
 to either of > these functions woul [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45032
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 Henry Minsky <henry.minsky@HIDDEN>, 45032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philipp Stephani <p.stephani2@HIDDEN> writes:

>> I think it's important that native and Elisp JSON serialisation are as
>> consistent as possible here;
>
> I don't think that's realistic: any change in behavior to either of
> these functions would be a breaking change.

I think we should have JSON/Elisp round trips that are 100%
reproducible.  The current functions certainly aren't.

But we could just leave them as deprecated legacy functions and
introduce new ones that are consistent.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45032; Package emacs. Full text available.

Message received at 45032 <at> debbugs.gnu.org:


Received: (at 45032) by debbugs.gnu.org; 5 Dec 2020 22:13:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 05 17:13:56 2020
Received: from localhost ([127.0.0.1]:48399 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1klfoR-0006JG-Rr
	for submit <at> debbugs.gnu.org; Sat, 05 Dec 2020 17:13:56 -0500
Received: from mail-wm1-f42.google.com ([209.85.128.42]:52671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1klfoO-0006J1-Dw
 for 45032 <at> debbugs.gnu.org; Sat, 05 Dec 2020 17:13:55 -0500
Received: by mail-wm1-f42.google.com with SMTP id a6so8325376wmc.2
 for <45032 <at> debbugs.gnu.org>; Sat, 05 Dec 2020 14:13:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=dfyWoi5/dHVHpZj6xTSVibucvYLpwUriiGuuuKJjuso=;
 b=ceKfhp9aJxGXsqTLywNTYaww+dzK+2AkuEXq5AROOoAztrZYNJKlQix5/Z+d4J2DJl
 fe4uGZ4sCyPtoaHnRbrrPbG1lYulKiPjo9S2pJxhvxSJkfoEYet4gIn8TKK560TvBJLq
 qNSqz9CGWwjzWQGDXckq13Lf5kcfAS9xroDMPnFFHHCVK0oo4EBhqjwnNJowaf/Q2NXn
 7+tJhuVPDRSqIhXfXVXd3QsSqKSOU0umm8xvpVLpm0LOzznZsFvSlPTKuv42y9D3o+BT
 jTHJjcYBVXLFh18J8lyn7vyYR1yxyVPPFcTBxeMu9Sh0m9QDmYYYOL7qQzloMSJAmlk4
 Q2pw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=dfyWoi5/dHVHpZj6xTSVibucvYLpwUriiGuuuKJjuso=;
 b=CD8BNP+q+5gpqQhdnB5OffnffOmfRmQcmSVzUWEknK8JaKi5271nTtzpiSaNnYHosf
 h68FUU0ocrILtzaHd1jvNEbzzd5xFfOnj0BV8BwOGyWZPdYNV2ZgC8wjK1uVwr1+A63O
 8N4hgFVd/jFHX8L+PiTzZPaZJfAHecR5AaTCErjN1Gr20dp0EkOVKdsSlW2onD1HSUHd
 X2r68NhZCL8vgWywI6LOFmQ1GfZpaqFug8KmFeT/GQkrnUIWTu5rilThsVoUWSQYgnIk
 SPBKOitsXJSwwaNdw3b4Rj+hfHNVwbVH4es2VXv1yjSVojR+TIlhh5cD0r7I6pNevdqH
 2qzA==
X-Gm-Message-State: AOAM530LQVhvjI6tgH1uOKTUs2PlvMiLBAWTViGeQPiSmP8/puUQH51C
 ZhS4SfFF7RCwI252yUwfhG9Lig==
X-Google-Smtp-Source: ABdhPJykRXvFqUUewRKaOtPVN+o8O02MwINr+WcBcR4Jq9BqA9E7wGomfgueRC64JaSXpFyYwUppEg==
X-Received: by 2002:a1c:98c7:: with SMTP id
 a190mr10959318wme.184.1607206426460; 
 Sat, 05 Dec 2020 14:13:46 -0800 (PST)
Received: from localhost ([51.37.47.98])
 by smtp.gmail.com with ESMTPSA id s13sm7817025wmj.28.2020.12.05.14.13.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 05 Dec 2020 14:13:45 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing
 't' as a key causes error
References: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
 <877dpxnah5.fsf@HIDDEN> <87a6us1b37.fsf@HIDDEN>
 <CAArVCkQFTR7yxT83cm23noF5SLk_Oz41D6+w3d8fJALyyexyOg@HIDDEN>
Date: Sat, 05 Dec 2020 22:13:44 +0000
In-Reply-To: <CAArVCkQFTR7yxT83cm23noF5SLk_Oz41D6+w3d8fJALyyexyOg@HIDDEN>
 (Philipp Stephani's message of "Sat, 5 Dec 2020 20:35:42 +0100")
Message-ID: <87tuszzysn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45032
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 45032 <at> debbugs.gnu.org,
 Henry Minsky <henry.minsky@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philipp Stephani <p.stephani2@HIDDEN> writes:

> Am Sa., 5. Dez. 2020 um 17:26 Uhr schrieb Basil L. Contovounesios
> <contovob@HIDDEN>:
>>
>> I think it's important that native and Elisp JSON serialisation are as
>> consistent as possible here;
>
> I don't think that's realistic: any change in behavior to either of
> these functions would be a breaking change.

As possible/reasonable then.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45032; Package emacs. Full text available.

Message received at 45032 <at> debbugs.gnu.org:


Received: (at 45032) by debbugs.gnu.org; 5 Dec 2020 19:36:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 05 14:36:02 2020
Received: from localhost ([127.0.0.1]:48249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kldLd-0002NY-WD
	for submit <at> debbugs.gnu.org; Sat, 05 Dec 2020 14:36:02 -0500
Received: from mail-oi1-f169.google.com ([209.85.167.169]:38249)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1kldLc-0002NH-1X
 for 45032 <at> debbugs.gnu.org; Sat, 05 Dec 2020 14:36:00 -0500
Received: by mail-oi1-f169.google.com with SMTP id o25so10484815oie.5
 for <45032 <at> debbugs.gnu.org>; Sat, 05 Dec 2020 11:35:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=UOUFB8qBBVXzdlKKK/HIWi/D3yc1FepR6AleiGUg424=;
 b=VR55DJCdJbtdRiTsWIlvgzFtduIqK1HspGc76JpUZkPBMOodqmFhqPXy4JNqwQKnZz
 WO0s8xxJ1vhCnAskUvEWs8c997i5Fmd8IrO08sU8MnWXjQCpf43z3oRnVj1DZQFAcgN5
 b70Vtp6w0f5gFBj1+5zSVU7MnuTp36B1XQ7zmFNtY/UfcGPULWM9y/X7FteVgO+5zGLi
 fsqQ6R6OFVa2iKo7ByYLu4ZlTUQOUcAQ4GRX1I5O21vwDZ9ifrdcyKAH/34OlgdBuV0Z
 Oyb92TraNC0q6ICvqOppcF1+ilTadrwg8afsNaAA235hWqnWze2b2BAb78emDb2DSgEg
 aoXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=UOUFB8qBBVXzdlKKK/HIWi/D3yc1FepR6AleiGUg424=;
 b=AgETTOxyO3gDg9n/SeflXoQm/Xc3nQ1oO+kOSADILU7SU2yp0mK03jnL18bzjqPgeM
 i/gcHyzWJk7P6GoqvMw/kUpbAUlcJg0kRJQsvJZxMz2AX6R3kYZhAdHS0mggNmAWWG+R
 /wegp2wuSOpIqV13anyHMLjhTQ5hU5FPCe0W4DxpftXtdmFtoWSFaKTVJZUgZe2AqANw
 TMVSfGsfhShvKAqvbSms/mBDk69VfNkZp7bmXymxD7hH0vAu/9zOM+LiTD66KD6wFV/0
 sI+7KgftPdJH+ug10p90j+Vvpcexafhoa+wXGk1iEI1f9JZSzmUa2DLKyFtKeTcNgVra
 BPRg==
X-Gm-Message-State: AOAM532kgFOfuxa+a4lngZFk9x2LP71ovDpk5eQkhm/BekU/hfAirBhB
 Q2mOzRiU8ju+lax74IHwAS7sLWCe5tN0hNwNu5E=
X-Google-Smtp-Source: ABdhPJyaQoVkxcf9X/02lCEd/th4VkKzMgXLzxoXynoyN/s21DMOChDnU9Jgt3E8tJCdRUZe2wgEo6+7PfRUZU9hC7U=
X-Received: by 2002:aca:1b0a:: with SMTP id b10mr7201242oib.9.1607196954229;
 Sat, 05 Dec 2020 11:35:54 -0800 (PST)
MIME-Version: 1.0
References: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
 <877dpxnah5.fsf@HIDDEN> <87a6us1b37.fsf@HIDDEN>
In-Reply-To: <87a6us1b37.fsf@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sat, 5 Dec 2020 20:35:42 +0100
Message-ID: <CAArVCkQFTR7yxT83cm23noF5SLk_Oz41D6+w3d8fJALyyexyOg@HIDDEN>
Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing
 't' as a key causes error
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 45032
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 45032 <at> debbugs.gnu.org,
 Henry Minsky <henry.minsky@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Am Sa., 5. Dez. 2020 um 17:26 Uhr schrieb Basil L. Contovounesios
<contovob@HIDDEN>:
>
> forcemerge 42545 45032
> quit
>
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
> > So I don't know how to fix this.  We could add another kludge -- saying
> > that a boolean used as an object key "obviously" should be a string
> > instead (when converting back to JSON)?  Opinions?
>
> This is a duplicate of https://debbugs.gnu.org/42545.
>
> I think it's important that native and Elisp JSON serialisation are as
> consistent as possible here;

I don't think that's realistic: any change in behavior to either of
these functions would be a breaking change.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45032; Package emacs. Full text available.
Forcibly Merged 42545 45032. Request was from "Basil L. Contovounesios" <contovob@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45032 <at> debbugs.gnu.org:


Received: (at 45032) by debbugs.gnu.org; 5 Dec 2020 16:17:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 05 11:17:44 2020
Received: from localhost ([127.0.0.1]:48081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1klaFk-0003oK-9B
	for submit <at> debbugs.gnu.org; Sat, 05 Dec 2020 11:17:44 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:39110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1klaFg-0003ns-4v
 for 45032 <at> debbugs.gnu.org; Sat, 05 Dec 2020 11:17:42 -0500
Received: by mail-wr1-f50.google.com with SMTP id e7so8312288wrv.6
 for <45032 <at> debbugs.gnu.org>; Sat, 05 Dec 2020 08:17:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=v5PadVGN3kf6LxXs8yA3umyZUpU7++YwCHsVDylP4YA=;
 b=z8tnerxxu4//wqFly9zweg/mYj9mPcX1DVf63cukB2WvQrdTSHo59XKsm1kLaqDzFy
 FQfrIa1aTqzgrtbgQpxIP+KsXhdL/1aXG3ld95W6+kpw6FRs/UgcrJrTP9E0T3j3iy3G
 B3G1vZsp8EROQy+70IJreSksnABjsy3p6rEKmUe3whl8HOWI3IWgSOy91WtHhIgUwSbm
 +FH7fdSFz+h/OSytebUCPyz4p/PQ3FNC/WIfEbYFYNNtGgt54qL5xbFKn6ZOVZ2bAUb8
 ky/rjjT1iY5fD3IJeaAtxYBXOM+PNZU9keH+hbiOTNpFT3pcPCZLdai10acJzUxQ9wcC
 q1ag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=v5PadVGN3kf6LxXs8yA3umyZUpU7++YwCHsVDylP4YA=;
 b=ngdweWMpo9lNE2F2Cu5KO4Da8LPhMDbmx8ba+hzFHWBwbxke4tZHnSE/0n8Upy+fVn
 E4OJlDb14bA91IUgW3R4uP+Lw4q8wbPHyw/LpUA4mgokxJ5ZTiY4PAKJDoceWKP3BjLN
 eZId+PKiww1X5J/RAa6+weasMGdKat5/4CGSAd+3qlBfjnMLFucNgNieSMVnJVOcpXOE
 XSyjgBMSl5zR7TZHy/IpYRN7F6mhs+3OZno6d5ZIspKaNq/3hg9O2FA6ECG47IBuwpab
 U7N5TraWRZKuJM1fjhrqwMdH8ZkjGuW7OjhgVamDpvUAu2tm9yz4zL8+FNZnp3Y+sSJR
 hEpQ==
X-Gm-Message-State: AOAM530cREkJ1KDoDB9iD/bia8QgN+95sybvF49Flsh12yAISTuOEwqL
 DoRozOPsmBEZ+63IbW5asNKHhA==
X-Google-Smtp-Source: ABdhPJzTYr6/Wg20+mOAOlgrsRKE49dQLzwcukoXaVBOYrWXi6LbIpTDBzum6LFS8EdwsC5Bf4DsoA==
X-Received: by 2002:adf:e5cb:: with SMTP id a11mr11029183wrn.15.1607185054485; 
 Sat, 05 Dec 2020 08:17:34 -0800 (PST)
Received: from localhost ([51.37.47.98])
 by smtp.gmail.com with ESMTPSA id f23sm7142693wmb.43.2020.12.05.08.17.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 05 Dec 2020 08:17:33 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing
 't' as a key causes error
References: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
 <877dpxnah5.fsf@HIDDEN>
Date: Sat, 05 Dec 2020 16:17:32 +0000
In-Reply-To: <877dpxnah5.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 04 Dec 2020 11:15:18 +0100")
Message-ID: <87a6us1b37.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45032
Cc: Henry Minsky <henry.minsky@HIDDEN>, 45032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

forcemerge 42545 45032
quit

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> So I don't know how to fix this.  We could add another kludge -- saying
> that a boolean used as an object key "obviously" should be a string
> instead (when converting back to JSON)?  Opinions?

This is a duplicate of https://debbugs.gnu.org/42545.

I think it's important that native and Elisp JSON serialisation are as
consistent as possible here; please comment on my thoughts at:
https://lists.gnu.org/r/emacs-devel/2020-07/msg00708.html

I might actually have some time to look at this soon.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45032; Package emacs. Full text available.

Message received at 45032 <at> debbugs.gnu.org:


Received: (at 45032) by debbugs.gnu.org; 4 Dec 2020 10:15:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 04 05:15:33 2020
Received: from localhost ([127.0.0.1]:42879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kl87h-0005KF-7i
	for submit <at> debbugs.gnu.org; Fri, 04 Dec 2020 05:15:33 -0500
Received: from quimby.gnus.org ([95.216.78.240]:56778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kl87f-0005DP-Lf
 for 45032 <at> debbugs.gnu.org; Fri, 04 Dec 2020 05:15:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=+gXpRtwxoYh1WtZOrm7CY6BcWf5DCxSgDDxiVMX5Gsg=; b=sbo3z9SMxa6J+dm6RU360GCGFe
 FrpxlBtFr/RZcQbAi69EuTS3fRRA4GrI17EgN1Ytpf08ned5tN5RapSZVfb0LXOL/UmeJfjhpTN8U
 LF8bGA5skztHGGcg98M16djVgDjmSpznWxIRY5oATA1l3046/dlkx6zVXKjAuHXdGgq0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kl87T-0007CB-Sd; Fri, 04 Dec 2020 11:15:25 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Henry Minsky <henry.minsky@HIDDEN>
Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing
 't' as a key causes error
References: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
X-Now-Playing: Fennesz's _Agora_: "In My Room"
Date: Fri, 04 Dec 2020 11:15:18 +0100
In-Reply-To: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
 (Henry Minsky's message of "Thu, 3 Dec 2020 16:19:25 -0500")
Message-ID: <877dpxnah5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Henry Minsky <henry.minsky@HIDDEN> writes: > If you run
 M-x json-pretty-print on this buffer contents: > > {"t": 259} > > You get
 an error > Bad JSON object key: t > > It seems like the json parser is
 converting the string "t" into the > symbo [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45032
Cc: 45032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Henry Minsky <henry.minsky@HIDDEN> writes:

> If you run M-x json-pretty-print on this buffer contents:
>
> {"t": 259}
>
> You get an error
> Bad JSON object key: t
>
> It seems like the json parser is converting the string "t" into the
> symbol t which is being treated specially?

It's unfortunate that `json-read' is being ambiguous here.

true
=> t

{"t": 259}
=> ((t . 259))

So I don't know how to fix this.  We could add another kludge -- saying
that a boolean used as an object key "obviously" should be a string
instead (when converting back to JSON)?  Opinions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45032; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Dec 2020 21:39:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 03 16:39:31 2020
Received: from localhost ([127.0.0.1]:41973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kkwK3-0007VU-Ex
	for submit <at> debbugs.gnu.org; Thu, 03 Dec 2020 16:39:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:44322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <henry.minsky@HIDDEN>) id 1kkw0s-0006zH-24
 for submit <at> debbugs.gnu.org; Thu, 03 Dec 2020 16:19:42 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:53458)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <henry.minsky@HIDDEN>)
 id 1kkw0r-0001ha-Mm
 for bug-gnu-emacs@HIDDEN; Thu, 03 Dec 2020 16:19:41 -0500
Received: from mail-ot1-x332.google.com ([2607:f8b0:4864:20::332]:39985)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <henry.minsky@HIDDEN>)
 id 1kkw0p-0001Tl-D5
 for bug-gnu-emacs@HIDDEN; Thu, 03 Dec 2020 16:19:41 -0500
Received: by mail-ot1-x332.google.com with SMTP id j12so3181845ota.7
 for <bug-gnu-emacs@HIDDEN>; Thu, 03 Dec 2020 13:19:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=HyHKp/ta8vjEbuZVi2rav+9P6Eajjd33JpPhJG1xqy8=;
 b=AzcQ6/pdwcF6WLzTj4lr24Nz/4xx6dcJhVMLCwyhNYi1bxlk57bEu7Fzm8Gz6aZuGX
 xTGVmYsafEdBomxpBbEG8JQa7K0CX3H83VzM1jH4zTn3ZTpJE+JcOw5vLuYrE1tTpbWL
 I+ci1YiCYpA/EMEFCsaGsPrVu5zhTtkbW+sIawzAfHLq78Yl6TH9RxFJ901D5IwsL+GD
 5F7697d41NfXrXhWkk1CmawhICwlNkBcl18oo8VENSKvnPjAjV/b17217qkXBhuIAzBw
 yYTjROsm1YgX0zcPVbU/K3JBVguPi87yqqsMjQ3DlameY09FamjWy9mzu46wKn299WI+
 aptg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=HyHKp/ta8vjEbuZVi2rav+9P6Eajjd33JpPhJG1xqy8=;
 b=BSw4sheiDf1U8zNDrH0V9P00i1mwEq2CWHPTmOTp1woADtnIp35mkpG2x4suEP44rr
 7t0K5gQRSUW5eq3uHHz8vYBP3JmBCRA5XQK170DgW7VeTBrLdGXhbS1P9VXtdXjK5lf4
 7vTjZ11/EGR8mtDxlceIBDwvyl3IRLk9eW/47G/s0MywT1k24utLWrzQDr7AXdWUItQ4
 JPBjkJNs0e9htfdbfKuQ/5MlZJQ1zXRFIBPLUZwCyPPxMsMrLczxH1a7hP6n7zDTOyNw
 fEcnQhl2pMloHK9dAJloMR+1e8SfSiupaRagYCPvpd57mDmKMH4BEeYfbtvueQFrWOjf
 hFPQ==
X-Gm-Message-State: AOAM530vCyTN1i2ZL77AoIhRzqLnNmDql46Jgrwk/4VvtS8sQrMQTmBY
 fsSex/Xbe4lyrTrkjcDfUfoDgmQo+0yRtVg9Zi1i3YVIwZikXw==
X-Google-Smtp-Source: ABdhPJycAQLG2F2BCjh4bpCLaKWksCX00p6+FC/w0uQPoNeQOmhIaZOeJHpQGO/wyZkn2FNvTosQ5o03pl0qnODuyog=
X-Received: by 2002:a9d:4d17:: with SMTP id n23mr971586otf.43.1607030376955;
 Thu, 03 Dec 2020 13:19:36 -0800 (PST)
MIME-Version: 1.0
From: Henry Minsky <henry.minsky@HIDDEN>
Date: Thu, 3 Dec 2020 16:19:25 -0500
Message-ID: <CAJo0r8gyhDZnV5cSX3yWU5iQaGvL7fjDOLPADS3dTGbO8KW=CQ@HIDDEN>
Subject: 26.3; json-pretty-print of JSON with dict containing 't' as a key
 causes error
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000c3046605b595ea0a"
Received-SPF: pass client-ip=2607:f8b0:4864:20::332;
 envelope-from=henry.minsky@HIDDEN; helo=mail-ot1-x332.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 03 Dec 2020 16:39:30 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000c3046605b595ea0a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

If you run M-x json-pretty-print on this buffer contents:

{"t": 259}

You get an error
Bad JSON object key: t

It seems like the json parser is converting the string "t" into the
symbol t which is being treated specially?





In GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.2.0, NS appkit-1671.20
Version 10.14.3 (Build 18D109))
 of 2019-09-02 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.2022
Recent messages:
Loading vc-svn...done
Loading autorevert...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
ls does not support --dired; see =E2=80=98dired-use-ls-dired=E2=80=99 for m=
ore details.
Quit
command-execute: The mark is not set now, so there is no region
Mark set
json-encode-key: Bad JSON object key: t

Configured using:
 'configure --with-ns '--enable-locallisppath=3D/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: JavaScript

Minor modes in effect:
  override-global-mode: t
  global-auto-revert-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr warnings emacsbug message rmc puny rfc822 mml
mml-sec epa derived epg gnus-util rmail rmail-loaddefs mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils js
advice sgml-mode dom json map imenu thingatpt dired dired-loaddefs
elec-pair cl-extra help-mode use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
easy-mmode use-package-core finder-inf info package epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv edmacro kmacro format-spec server autorevert
filenotify cus-start cus-load vc-svn bdc-indent cc-mode cc-fonts
easymenu cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs cl-loaddefs cl-lib time time-date tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 459220 15608)
 (symbols 48 31276 1)
 (miscs 40 62 287)
 (strings 32 108877 1948)
 (string-bytes 1 2792952)
 (vectors 16 49371)
 (vector-slots 8 918195 17836)
 (floats 8 64 200)
 (intervals 56 375 1)
 (buffers 992 14))

--000000000000c3046605b595ea0a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br clear=3D"all"><div><br><br>If you run M-x json-pretty-=
print on this buffer contents:<br><br>{&quot;t&quot;: 259}<br><br>You get a=
n error<br>Bad JSON object key: t<br><br>It seems like the json parser is c=
onverting the string &quot;t&quot; into the<br>symbol t which is being trea=
ted specially?<br><br><br><br><br><br>In GNU Emacs 26.3 (build 1, x86_64-ap=
ple-darwin18.2.0, NS appkit-1671.20 Version 10.14.3 (Build 18D109))<br>=C2=
=A0of 2019-09-02 built on <a href=3D"http://builder10-14.porkrind.org">buil=
der10-14.porkrind.org</a><br>Windowing system distributor &#39;Apple&#39;, =
version 10.3.2022<br>Recent messages:<br>Loading vc-svn...done<br>Loading a=
utorevert...done<br>For information about GNU Emacs and the GNU system, typ=
e C-h C-a.<br>Quit<br>ls does not support --dired; see =E2=80=98dired-use-l=
s-dired=E2=80=99 for more details.<br>Quit<br>command-execute: The mark is =
not set now, so there is no region<br>Mark set<br>json-encode-key: Bad JSON=
 object key: t<br><br>Configured using:<br>=C2=A0&#39;configure --with-ns &=
#39;--enable-locallisppath=3D/Library/Application<br>=C2=A0Support/Emacs/${=
version}/site-lisp:/Library/Application<br>=C2=A0Support/Emacs/site-lisp&#3=
9; --with-modules&#39;<br><br>Configured features:<br>NOTIFY ACL GNUTLS LIB=
XML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS<br><br>Important settings:=
<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 locale-coding-system: utf-=
8-unix<br><br>Major mode: JavaScript<br><br>Minor modes in effect:<br>=C2=
=A0 override-global-mode: t<br>=C2=A0 global-auto-revert-mode: t<br>=C2=A0 =
display-time-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-mode:=
 t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=C2=A0 menu-=
bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-lock-m=
ode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0=
 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-=
compression-mode: t<br>=C2=A0 column-number-mode: t<br>=C2=A0 line-number-m=
ode: t<br>=C2=A0 transient-mark-mode: t<br><br>Load-path shadows:<br>None f=
ound.<br><br>Features:<br>(shadow sort mail-extr warnings emacsbug message =
rmc puny rfc822 mml<br>mml-sec epa derived epg gnus-util rmail rmail-loadde=
fs mm-decode<br>mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils=
 mailheader<br>sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-=
utils js<br>advice sgml-mode dom json map imenu thingatpt dired dired-loadd=
efs<br>elec-pair cl-extra help-mode use-package use-package-ensure<br>use-p=
ackage-delight use-package-diminish use-package-bind-key bind-key<br>easy-m=
mode use-package-core finder-inf info package epg-config<br>url-handlers ur=
l-parse auth-source cl-seq eieio eieio-core cl-macs<br>eieio-loaddefs passw=
ord-cache url-vars seq byte-opt gv bytecomp<br>byte-compile cconv edmacro k=
macro format-spec server autorevert<br>filenotify cus-start cus-load vc-svn=
 bdc-indent cc-mode cc-fonts<br>easymenu cc-guess cc-menus cc-cmds cc-style=
s cc-align cc-engine cc-vars<br>cc-defs cl-loaddefs cl-lib time time-date t=
ooltip eldoc electric<br>uniquify ediff-hook vc-hooks lisp-float-type mwhee=
l term/ns-win ns-win<br>ucs-normalize mule-util term/common-win tool-bar dn=
d fontset image<br>regexp-opt fringe tabulated-list replace newcomment text=
-mode elisp-mode<br>lisp-mode prog-mode register page menu-bar rfn-eshadow =
isearch timer<br>select scroll-bar mouse jit-lock font-lock syntax facemenu=
 font-core<br>term/tty-colors frame cl-generic cham georgian utf-8-lang mis=
c-lang<br>vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp5=
1932<br>hebrew greek romanian slovak czech european ethiopic indian cyrilli=
c<br>chinese composite charscript charprop case-table epa-hook jka-cmpr-hoo=
k<br>help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs<br=
>button faces cus-face macroexp files text-properties overlay sha1 md5<br>b=
ase64 format env code-pages mule custom widget hashtable-print-readable<br>=
backquote threads kqueue cocoa ns multi-tty make-network-process emacs)<br>=
<br>Memory information:<br>((conses 16 459220 15608)<br>=C2=A0(symbols 48 3=
1276 1)<br>=C2=A0(miscs 40 62 287)<br>=C2=A0(strings 32 108877 1948)<br>=C2=
=A0(string-bytes 1 2792952)<br>=C2=A0(vectors 16 49371)<br>=C2=A0(vector-sl=
ots 8 918195 17836)<br>=C2=A0(floats 8 64 200)<br>=C2=A0(intervals 56 375 1=
)<br>=C2=A0(buffers 992 14))<br></div></div>

--000000000000c3046605b595ea0a--




Acknowledgement sent to Henry Minsky <henry.minsky@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45032; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 7 Dec 2020 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.